Package ru.bitel.bgbilling.modules.bill.server.bean

# Class ContractDocTypeManager

java.lang.Object
ru.bitel.bgbilling.modules.bill.server.bean.ContractDocTypeManager

    public class ContractDocTypeManager
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractDocTypeManager​(java.sql.Connection con, int moduleId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addContractType​(ContractDocType contractType)` |
  `boolean` | `checkDocTypeExist​(ContractDocType contractType)` |
  `void` | `deleteContractType​(int id)` |
  `void` | `deleteContractType​(int cid, int docType)` |
  `ContractDocType` | `getContractDocType​(int id)` |
  `java.util.List<DocType>` | `getContractDocTypeList​(int contractId, DocumentType documentType)` |
  `java.util.List<ContractDocType>` | `getContractTypeList​(int contractId, DocumentType documentType, java.lang.String docTypes)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractDocTypeManager

    public ContractDocTypeManager​(java.sql.Connection con, int moduleId)

- ## Method Details

  - ### getContractDocType

    public ContractDocType getContractDocType​(int id)

  - ### getContractTypeList

    public java.util.List<ContractDocType> getContractTypeList​(int contractId, DocumentType documentType, java.lang.String docTypes)

  - ### getContractDocTypeList

    public java.util.List<DocType> getContractDocTypeList​(int contractId, DocumentType documentType)

  - ### addContractType

    public void addContractType​(ContractDocType contractType)

  - ### checkDocTypeExist

    public boolean checkDocTypeExist​(ContractDocType contractType)

  - ### deleteContractType

    public void deleteContractType​(int id)

  - ### deleteContractType

    public void deleteContractType​(int cid, int docType)